.select_filter_picker {
    position: relative;
    flex: unset;
    width: calc(35% - 0.8rem);
    margin: 0 0.4rem 1.6rem 0.4rem;

    .__label {
        position: absolute;
        top: 50%;
        left: 16px;
        transform: translateY(-50%);
        pointer-events: none;
        font-size: 14px;
        font-weight: 500;
        transition: all 0.25s;
        z-index: 8;

        &.__active {
            color: #6868ac;
            font-weight: 600;
            font-size: 12px;
            top: 0;
            left: 18px;
            padding: 0 12px;
            background-image: linear-gradient(transparent 45%, white 55%);
        }
        
        .__text {

            &.disabled {
                color: #8E91A0;
            }
        }
    }

    .__caret {
        position: absolute;
        top: 50%;
        right: 0.8rem;
        transform: translateY(-50%);
        width: 2rem;
        height: 2rem;
        object-fit: contain;
        object-position: center;
        pointer-events: none;
        background-color: white;
        z-index: 8;
    }

    .wrapper {
        width: 100%;

        .rs-dropdown-menu {
            max-height: 300px;
            padding: 0;
            z-index: 10;
            overflow: hidden;
            display: flex;
            flex-direction: column;
            min-width: max-content;
            &[hidden] {
                display: none !important;
            }

            &.dropdown-menu-lg {
                min-width: 20rem;
            }

            &.dropdown-menu-xl {
                min-width: 30rem;
            }

            &.dropdown-menu-xxl {
                min-width: 40rem;
            }
        }

        .rs-dropdown-toggle {
            width: 100%;
            height: 40px;
            border-radius: 8px;
            background-color: white;
            border: 1px solid #d5dee8;
            text-align: left;
            text-overflow: ellipsis;
            white-space: nowrap;
            transition: border 0.25s;
            padding-right: 3.2rem;
            padding-left: 1.2rem;

            .rs-ripple-pond {
                display: none;
            }

            .__box {
                display: inline-flex;
                height: 26px;
                width: max-content;
                flex-direction: row;
                align-items: center;
                max-width: 100%;

                .__frame {
                    height: 100%;
                    width: 16px;
                    min-width: 16px;

                    .__image {
                        height: 100%;
                        width: 100%;
                        object-fit: contain;

                    }
                }

                .__text {
                    padding: 0 8px;
                    // max-width: calc(100% - 16px);
                    max-width: fit-content;
                    overflow: hidden;
                    text-overflow: ellipsis;
                }
            }
        }

        .searching {
            position: relative;
            height: 40px;
            min-height: 40px;
            display: flex;
            flex-direction: row;
            background: #fff;
            margin: 12px 12px 8px;
            border-radius: 8px;
            border: 1px solid #d5dee8;
            text-overflow: ellipsis;

            .__image {
                position: absolute;
                width: 16px;
                height: 16px;
                top: 50%;
                left: 12px;
                transform: translateY(-50%);
            }

            .__input_search {
                width: 100%;
                padding: 0 16px 0 38px;
                border: unset;
            }
        }

        .__dropdown-content {
            width: 100%;
            overflow: auto;
            // max-height: 16rem;
            max-height: calc(100% - 60px);

            .__group-list {
                width: fit-content;
                min-width: 100%;

                .empty-data {
                    padding: 10px;
                }
            }
        }

        .group {
            width: fit-content;
            min-width: 100%;

            .__title {
                padding: 10px 12px 4px;
                pointer-events: none;

                .__text {
                    // color: #6868ac;
                    font-weight: 700;
                    line-height: 22px;
                    color: #000000;
                }
            }

            .item {
                height: 48px;
                display: flex;
                align-items: center;
                flex-direction: row;
                overflow: hidden;
                text-overflow: ellipsis;

                &.--large {
                    height: 58px;
                }

                &.--checked {
                    background: #eef8fc;
                    color: #4f5a67;
                }

                .__checkbox {
                    min-width: 18px;
                    margin: auto 8px;
                    border-radius: 100%;
                    border-color: transparent;
                }

                .__frame {
                    height: 100%;
                    min-width: 34px;
                    width: 34px;
                    padding: 1px;
                    border-radius: 2px;
                    border: 1px solid #d5dee8;
                    margin: 0 4px;

                    .__image {
                        margin: auto;
                        width: 100%;
                        height: 100%;
                        object-fit: contain;
                    }
                }

                .__text {
                    margin: 0 6px;
                }
            }

            &.--all {
                border-bottom: 1px solid #dadada;
            }
        }

        &.rs-dropdown-open {
            .rs-dropdown-toggle {
                border-color: #6868ac;
            }
        }

        .rs-dropdown-item {
            &:hover {
                background: #eef8fc;
                color: #4f5a67;

                .__checkbox {
                    box-shadow: 0px 0px 0px 2px rgba($color: #5cb9d8, $alpha: 0.5);
                }
            }
        }
    }

    &.error {
        .rs-dropdown {
            &-toggle {
                border-color: #dd3a09;
            }
        }
    }
}

.__popover_select_filter_picker {
    &__image {
        width: 100px;
        max-width: 100%;
        max-height: 200px;
        padding: 5px;

        .rs-popover-content {
            max-height: 100%;
            width: 100%;

            .__frame {
                max-height: 100%;
                max-width: 100%;
                width: 100%;

                .__image {
                    width: 100%;
                    max-height: 100%;
                    object-fit: contain;
                }
            }
        }
    }

    &__text {
        max-width: 200px;
        padding: 5px;
    }
}